'use strict';

var graphqlCore = require('@makerx/graphql-core');

/**
 * @deprecated use graphqlOperationLoggingPlugin() instead (more options, breaking changes)
 */
function createLoggingPlugin(options = {}) {
    return {
        requestDidStart: ({ contextValue: { started, logger } }) => {
            function logIfNotIgnore(ctx, isSubsequentPayload) {
                const errors = ctx.response.body.kind === 'single' ? ctx.response.body.singleResult.errors : ctx.response.body.initialResult.errors;
                if (!(options.shouldIgnore &&
                    options.shouldIgnore({
                        requestContext: ctx,
                        isSubsequentPayload,
                        formattedErrors: errors,
                    }))) {
                    graphqlCore.logGraphQLOperation({
                        started,
                        operationName: ctx.request.operationName,
                        query: ctx.request.query,
                        variables: ctx.request.variables,
                        result: { errors },
                        logger,
                    });
                }
            }
            const responseListener = {
                willSendResponse(ctx) {
                    logIfNotIgnore(ctx, false);
                    return Promise.resolve();
                },
                willSendSubsequentPayload(ctx) {
                    logIfNotIgnore(ctx, false);
                    return Promise.resolve();
                },
            };
            return Promise.resolve(responseListener);
        },
        contextCreationDidFail: options.contextCreationDidFail ??
            (({ error }) => Promise.resolve(options.contextCreationFailureLogger?.error('Context creation failed', { error }))),
    };
}
/**
 * @deprecated use createLoggingPlugin() directly instead
 */
const loggingPlugin = createLoggingPlugin();

exports.createLoggingPlugin = createLoggingPlugin;
exports.loggingPlugin = loggingPlugin;
//# sourceMappingURL=logging-plugin.js.map
