import type { JwtPayload } from '@makerx/graphql-core';
export interface BuildJwtInput {
    oid: string;
    tid: string;
    sub: string;
    email: string;
    scopes: string[];
    roles: string[];
    [key: string]: any;
}
/**
 *
 * @param Optional JWT input
 * @returns A JWT payload with oid, tid and sub claims set to random values if not provided
 */
export declare function buildJwt({ oid, tid, sub, scopes, roles, ...rest }?: Partial<BuildJwtInput>): JwtPayload;
/**
 *
 * @param Optional JWT input
 * @returns A JWT payload with oid, tid, sub and email claims set to random values if not provided
 */
export declare function buildUserJwt({ email, ...rest }?: Partial<BuildJwtInput>): JwtPayload;
export declare function randomEmail(): string;
