import { randomUUID } from 'node:crypto';

/**
 *
 * @param Optional JWT input
 * @returns A JWT payload with oid, tid and sub claims set to random values if not provided
 */
function buildJwt({ oid = randomUUID(), tid = randomUUID(), sub = randomUUID(), scopes = [], roles = [], ...rest } = {}) {
    return {
        oid,
        tid,
        sub,
        scp: scopes.join(' '),
        roles,
        ...rest,
    };
}
/**
 *
 * @param Optional JWT input
 * @returns A JWT payload with oid, tid, sub and email claims set to random values if not provided
 */
function buildUserJwt({ email = randomEmail(), ...rest } = {}) {
    return buildJwt({
        email,
        ...rest,
    });
}
function randomEmail() {
    return `${(Math.random() + 1).toString(36).substring(2)}@test.net`;
}

export { buildJwt, buildUserJwt, randomEmail };
//# sourceMappingURL=jwt.mjs.map
